package cc.smtweb.framework.core.mvc.scheduler.job;

import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.mvc.controller.IBeanContext;
import cc.smtweb.framework.core.mvc.scheduler.AbstractJob;
import cc.smtweb.framework.core.mvc.scheduler.AbstractJobExecutor;

import java.util.concurrent.ExecutorService;

public class LocalJobExecutor extends AbstractJobExecutor {
    public LocalJobExecutor(IBeanContext beanContext, ExecutorService executor, Long redisLockValue, DbEngine dbEngine) {
        super(beanContext, executor, redisLockValue, dbEngine);
    }

    @Override
    public boolean tryLock(AbstractJob job) {
        return true;
    }

    @Override
    public void unlock(AbstractJob job) {
    }
}
